KJL - Feature #2684

Setting Internal ID dan External ID (Document number KJL)

04/01/2024 04:09 PM - jihad ....

Status: Closed Start date: 04/01/2024
Priority: High Due date: 04/17/2024
Assignee: jihad .... % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear mba Yoma, ingin dibuatkan settingan untuk internal ID dan externallD, berikut detailnya:

- Price Quotation: KJL-PI/MKT/XX (MONTH)/XX (YEAR)/XXXX NUMBER
contoh: KJL-PI/MKT/IV/24/0001

*untuk di field External ID

*month menggunakan huruf romawi

*year dua angka terakhir

*numbernya 4 angka

*number direset kembali menjadi 0000 setiap ganti tahun

- Sales Order: SO/XX (bulan)/XX (tahun)/XXXX (nomor)
contoh: SO/IV/24/001

*untuk di field Internal ID

*month menggunakan huruf romawi

*year dua angka terakhir

*numbernya 4 angka

*number direset kembali menjadi 0000 setiap ganti tahun

- Permintaan Barang: PB/XX (bulan) /xx (tahun)/ xxxx (nomor)
contoh: PB/IV/24/0001

*untuk di field Internal ID

*month menggunakan huruf romawi

*year dua angka terakhir

*numbernya 4 angka

*number direset kembali menjadi 0000 setiap ganti tahun

- Purchase Requisition: PR/XX (bulan) /xx (tahun)/ xxxx (nomor)
contoh: PR/IV/24/0001

*untuk di field Internal ID

*month menggunakan huruf romawi

*year dua angka terakhir

*numbernya 4 angka

*number direset kembali menjadi 0000 setiap ganti tahun

- Purchase Order: KJL-PI/PRC/XX (MONTH)/XX (YEAR)/XXXX NUMBER
contoh: KJL-PI/PRC/IV/24/0001

*untuk di field External ID

*month menggunakan huruf romawi

*year dua angka terakhir

*numbernya 4 angka

*number direset kembali menjadi 0000 setiap ganti tahun

- Untuk Delivery Order ada 2, Internal dan External:

1. Internal ID: DO/XX (month)/XX (year)/XXXX (nomor)
contoh: DO/IV/24/0001
*untuk di field Internal ID

*month menggunakan huruf romawi

*year dua angka terakhir

*numbernya 4 angka

*number direset kembali menjadi 0000 setiap ganti tahun

2. External ID: KJL-PI/WH/XX (MONTH)/XX (YEAR)/XXXX NUMBER
contoh: KJL-PI/WH/IV/24/0001

*untuk di field External ID

*month menggunakan huruf romawi

*year dua angka terakhir

*numbernya 4 angka

*number direset kembali menjadi 0000 setiap ganti tahun

- Good Receipt: GRN/XX (month)/XX (year)/XXXX (nomor)
contoh: GRN/IV/24/0001

*untuk di field Internal ID

*month menggunakan huruf romawi

*year dua angka terakhir

*numbernya 4 angka

*number direset kembali menjadi 0000 setiap ganti tahun

Terima kasih

History

#1 - 04/03/2024 10:12 AM - Kezia Pawitra Yulianti
- Due date set to 04/17/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 04/17/2024 08:56 AM - jihad ....
- Subject changed from Setting External ID (Document number KJL) to Setting Internal ID dan External ID (Document number KJL)

- Description updated

#3 - 04/17/2024 09:48 AM - Tri Rizqgiaty
- File Create CKJLFILOINTERNALID.xIsx added
- Assignee changed from Tri Rizqiaty to jihad ....

Apakah sudah dibuatkan table parameter untuk menyimpan last seq id pertahun perdoctype?
kalau sudah, apa nama tablenya? Dan tolong disesuaikan dengan excel terlampir.

kalau belum, tolong dibuatkan table fisik, sdatatable, sdatatablefield nya, seperti excel terlampir.
Terus tahun & bulan diambil berdasarkan apa? tgl sekarang atau field tertentu?

Terimakasih.

#4 - 04/17/2024 10:30 AM - jihad ....
- Assignee changed from jihad .... to Tri Rizqiaty

Sudah aku buat mba table fisiknya dengan nama table CKJLFILOINTERNALID sesuai dengan file excel yang terlampir beserta isi data tabel fisiknya,
buat SDATATABLE dan SDATATABLEFIELD nya.

Untuk tahun dan bulan berdasarkan docdate/ tanggal sekarang

Terima kasih.

#5 - 04/18/2024 10:02 AM - Tri Rizqgiaty
- Assignee changed from Tri Rizqiaty to jihad ....

Ini mau tergenerate ketika document pertama tercreate, dengan catatan sequence akan terus bertambah, walaupun tidak jadi save? Dan sequence
tidak akan sama dengan jumlah document?

Atau tergenerate ketika disave? kalau setelah disave, maka sequence akan sesuai dengan jumlah document.

#6 - 04/18/2024 11:45 AM - jihad ....
- Assignee changed from jihad .... to Tri Rizqiaty

Mau tergenerate ketika disave

#7 - 05/07/2024 09:16 AM - Tri Rizqgiaty
- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to jihad ....

#8 - 05/07/2024 09:18 AM - jihad ....
- Status changed from QA Test to Closed

Terima kasih mba Yoma

Files
Create CKJLFILOINTERNALID.xIsx 8.96 KB 04/17/2024 Tri Rizqgiaty
